﻿using System;
using System.Windows.Forms;
using Hush.Properties;

namespace Hush
{
    internal static class Program
    {
        /// <summary>
        ///     The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main()
        {
            // Bind to process termination.
            AppDomain.CurrentDomain.ProcessExit += OnProcessExit;

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Hush());
        }

        private static void OnProcessExit(object sender, EventArgs e)
        {
            // Unbind from process termination.
            AppDomain.CurrentDomain.ProcessExit -= OnProcessExit;

            // Save application settings when program terminates.
            Settings.Default.Save();
        }
    }
}