﻿using System.Reflection;
using Microsoft.Win32;

namespace Hush.Utilities
{
    public static class LaunchOnBoot
    {
        public static bool Set(bool enable)
        {
            using (var key = Registry.CurrentUser.OpenSubKey
                ("SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run", true))
            {
                if (key == null)
                    return false;

                switch (enable)
                {
                    case true:
                        key.SetValue(Constants.ASSEMBLY_NAME, Assembly.GetEntryAssembly().Location);
                        break;
                    default:
                        key.DeleteValue(Constants.ASSEMBLY_NAME, false);
                        break;
                }
            }

            return true;
        }

        public static bool Get()
        {
            using (var key = Registry.CurrentUser.OpenSubKey
                ("SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run", true))
            {
                return key?.GetValue(Constants.ASSEMBLY_NAME) != null;
            }
        }
    }
}